seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/06, 19:12:01


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: du wants to remove samba  (Read 2255 times)

0 Members and 1 Guest are viewing this topic.

Offline vayu

  • User
  • Posts: 200
du wants to remove samba
« on: 2014/12/04, 20:45:09 »
Any ideas about this du:   (I have jitsi on hold everything else should go through)

Code: [Select]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  obexd-client python-samba samba samba-common-bin samba-dsdb-modules
The following NEW packages will be installed:
  bluez-obexd libx265-35
The following packages have been kept back:
  jitsi libldb1 python-ldb
The following packages will be upgraded:
  apt apt-utils base-files bind9-host bind9utils binutils blender blender-data bluedevil
  chromium chromium-inspector chromium-l10n claws-mail claws-mail-acpi-notifier
  claws-mail-address-keeper claws-mail-archiver-plugin claws-mail-attach-remover
  claws-mail-attach-warner claws-mail-bogofilter claws-mail-bsfilter-plugin
  claws-mail-clamd-plugin claws-mail-dbg claws-mail-doc claws-mail-extra-plugins
  claws-mail-fancy-plugin claws-mail-feeds-reader claws-mail-fetchinfo-plugin
  claws-mail-gdata-plugin claws-mail-i18n claws-mail-libravatar claws-mail-mailmbox-plugin
  claws-mail-multi-notifier claws-mail-newmail-plugin claws-mail-pdf-viewer
  claws-mail-perl-filter claws-mail-pgpinline claws-mail-pgpmime claws-mail-plugins
  claws-mail-python-plugin claws-mail-smime-plugin claws-mail-spam-report
  claws-mail-spamassassin claws-mail-tnef-parser claws-mail-tools claws-mail-vcalendar-plugin
  cpp-4.8 cpp-4.9 cups cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-ppdc
  cups-server-common debian-archive-keyring devscripts dictionaries-common dnsutils
  dovecot-core dovecot-imapd dpkg dpkg-dev efibootmgr ffmpeg fonts-opensymbol g++-4.8 g++-4.9
  gcc-4.8 gcc-4.8-base gcc-4.8-base:i386 gcc-4.9 gcc-4.9-base gcc-4.9-base:i386 gettext
  gettext-base gobjc-4.8 gobjc-4.9 google-chrome-beta grub-common grub-efi-amd64-bin grub-pc
  grub-pc-bin grub2-common gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons gvfs-libs
  icedtea-7-plugin icedtea-netx icedtea-netx-common iceweasel ifupdown kdelibs-bin
  kdelibs5-data kdelibs5-dev kdelibs5-plugins kdoctools libapt-inst1.5 libapt-pkg-dev
  libapt-pkg4.12 libasan0 libasan1 libasprintf-dev libasprintf0c2 libatomic1
  libavcodec-ffmpeg56 libavdevice-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbind9-90 libcilkrts5 libcroco3 libcups2
  libcupscgi1 libcupsimage2 libcupsmime1 libcupsppdc1 libdb5.3 libdb5.3:i386 libdns-export100
  libdns100 libdpkg-perl libegl1-nvidia libflac++6 libflac8 libflac8:i386 libflite1 libfontenc1
  libgcc-4.8-dev libgcc-4.9-dev libgcc1 libgcc1:i386 libgcj14 libgcj15 libgcrypt20
  libgcrypt20:i386 libgcrypt20-dev libgettextpo-dev libgettextpo0 libgfortran3
  libgl1-nvidia-glx libgl1-nvidia-glx:i386 libgles1-nvidia libgles2-nvidia libgomp1
  libgudev-1.0-0 libidn11 libidn11-dev libirs-export91 libisc-export95 libisc95 libisccc90
  libisccfg-export90 libisccfg90 libitm1 libkcmutils4 libkde3support4 libkdeclarative5
  libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkeyutils1
  libkfile4 libkhtml5 libkidletime4 libkimproxy4 libkio5 libkjsapi4 libkjsembed4
  libkmediaplayer4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4
  libkprintutils4 libkpty4 libkrosscore4 libkrossui4 libktexteditor4 libkunitconversion4
  libkutils4 liblsan0 liblwres90 liblzma-dev liblzma5 liblzma5:i386 libmpfr4 libnepomuk4
  libnepomukquery4a libnepomukutils4 libnvidia-eglcore libnvidia-ml1 libobjc-4.8-dev
  libobjc-4.9-dev libobjc4 libopenmpi-dev libopenmpi1.6 libpam-systemd libphonon-dev libphonon4
  libphononexperimental4 libplasma3 libpng12-0 libpng12-0:i386 libpng12-dev libpolkit-agent-1-0
  libpolkit-backend-1-0 libpolkit-gobject-1-0 libpostproc-ffmpeg53 libpython2.7
  libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.4
  libpython3.4-minimal libpython3.4-stdlib libquadmath0 libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-kde libreoffice-pdfimport
  libreoffice-style-galaxy libreoffice-style-oxygen libreoffice-writer libruby2.1 libsodium13
  libsolid4 libsqlite3-0 libsqlite3-dev libstdc++-4.8-dev libstdc++-4.9-dev libstdc++5
  libstdc++6 libstdc++6:i386 libswresample-ffmpeg1 libswscale-ffmpeg3 libsystemd-daemon0
  libsystemd-id128-0 libsystemd-journal0 libsystemd-login0 libsystemd0 libsystemd0:i386 libtdb1
  libthreadweaver4 libtsan0 libubsan0 libudev1 libudev1:i386 libupower-glib3 libvncclient0
  libvncserver0 libwine libwine:i386 libx264-142 libx264-142:i386 libyaml-0-2 lintian
  nvidia-alternative nvidia-driver nvidia-driver-bin nvidia-glx nvidia-installer-cleanup
  nvidia-kernel-common nvidia-kernel-dkms nvidia-kernel-source nvidia-support
  nvidia-vdpau-driver openmpi-bin openmpi-common openvpn phonon policykit-1 procmail
  python-gdbm python-nose python-nose-doc python-tdb python-tk python2.7 python2.7-dev
  python2.7-doc python2.7-examples python2.7-minimal python3 python3-minimal python3.4
  python3.4-minimal rkhunter ruby2.1 ruby2.1-dev spamassassin spamc sqlite3 systemd
  systemd-sysv tdb-tools texlive-base udev uno-libs3 upower ure vim vim-common vim-runtime wine
  wine32:i386 wine64 xserver-xorg-video-nvidia xz-utils zlib1g zlib1g:i386 zlib1g-dev
324 upgraded, 2 newly installed, 5 to remove and 3 not upgraded.

Offline ElJimador

  • Newbie
  • Posts: 1
Re: du wants to remove samba
« Reply #1 on: 2014/12/05, 00:36:22 »
I ran into this myself and it looks like the root cause is a new libldb1 version that somehow made it into the repositories during a freeze:


https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=771991


Hopefully this will be resolved soon.

Offline vilde

  • User
  • Posts: 657
Re: du wants to remove samba
« Reply #2 on: 2014/12/05, 10:37:59 »
For me, 64 bit xfce, since yesterday apt wants to remove this:
Code: [Select]
The following packages will be REMOVED:
  gvfs-backends libsmbclient libxine2 libxine2-misc-plugins libxine2-plugins
  samba-libs xine-ui

Offline Jörg

  • User
  • Posts: 95
Re: du wants to remove samba
« Reply #3 on: 2014/12/05, 16:13:46 »
Today's DU says: 312 upgraded, 0 newly installed, 0 to remove and 1 not upgraded (i.e. libldb1 (1.1.17-1 => 1.1.18-1)).

Greetings,
Jörg

Offline vilde

  • User
  • Posts: 657
Re: du wants to remove samba
« Reply #4 on: 2014/12/05, 18:34:40 »
Today's DU says: 312 upgraded, 0 newly installed, 0 to remove and 1 not upgraded (i.e. libldb1 (1.1.17-1 => 1.1.18-1)).

Greetings,
Jörg
For me apt will upgrade libldb1.

So I tried to put libldb1 on hold and then I'm able to d-u without problem.

Code: [Select]
apt-mark hold libldb1
How can it be like that, sometimes apt decide to hold packages and now it will automatic hold libldb1 for Jörg and not for me (and others)?

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.779
    • g-com.eu
Re: du wants to remove samba
« Reply #5 on: 2014/12/05, 19:53:05 »
vilde: that depends on your installed packages and the rank apt give them - and this ranking/points decide, how apt will act like. One of the well known apt developers, DonKult, describe these rules as black magic, that now one like to understand fully :) - Thats why we can help apt with rules, holds and so on :D
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
Re: du wants to remove samba
« Reply #6 on: 2014/12/05, 20:55:09 »
They have uploaded a fix for this to debian sid, the version -3 of the package is suposed to be fine.
Sometimes standing for what you believe means standing alone.

Offline vilde

  • User
  • Posts: 657
Re: du wants to remove samba
« Reply #7 on: 2014/12/05, 22:10:14 »
Still not working here.
Code: [Select]
The following packages will be REMOVED:
  gvfs-backends libsmbclient libxine2 libxine2-misc-plugins libxine2-plugins
  samba-libs xine-ui
The following packages will be upgraded:
  libldb1
1 upgraded, 0 newly installed, 7 to remove and 0 not upgraded.
Need to get 111 kB of archives.
After this operation, 28.2 MB disk space will be freed.
Do you want to continue? [Y/n]

Offline ralul

  • User
  • Posts: 1.809
Re: du wants to remove samba
« Reply #8 on: 2014/12/05, 23:11:34 »
The ldb and tdb packages got their needed samba upgrades just now. Should be solved
experiencing siduction runs better than my gentoo makes me know I know nothing

Offline vilde

  • User
  • Posts: 657
Re: du wants to remove samba
« Reply #9 on: 2014/12/06, 00:32:03 »
The ldb and tdb packages got their needed samba upgrades just now. Should be solved
Yep, just tried and now it's ok, at least for me.  :)

Offline vayu

  • User
  • Posts: 200
Re: du wants to remove samba
« Reply #10 on: 2014/12/06, 06:48:58 »
Working here, thanks.

Offline Jörg

  • User
  • Posts: 95
Re: du wants to remove samba
« Reply #11 on: 2014/12/06, 11:30:04 »
With today's DU libdb1 has been upgraded and everything is allright.